restinio::response_output_flags_t Struct Reference

Response output flags for buffers commited to response-coordinator. More...

`#include <common_types.hpp>`

## Public Member Functions

| response_output_flags_t (response_parts_attr_t response_parts, response_connection_attr_t response_connection) noexcept

## Public Attributes

response_parts_attr_t | m_response_parts
response_connection_attr_t | m_response_connection

## Detailed Description

Response output flags for buffers commited to response-coordinator.

Definition at line 122 of file common_types.hpp.

## Constructor & Destructor Documentation

## response_output_flags_t()

restinio::response_output_flags_t::response_output_flags_t | ( | response_parts_attr_t | response_parts,
|  | response_connection_attr_t | response_connection
| ) |  |

inlinenoexcept

Definition at line 124 of file common_types.hpp.

## Member Data Documentation

## m_response_connection

response_connection_attr_t restinio::response_output_flags_t::m_response_connection

Definition at line 132 of file common_types.hpp.

## m_response_parts

response_parts_attr_t restinio::response_output_flags_t::m_response_parts

Definition at line 131 of file common_types.hpp.

The documentation for this struct was generated from the following file:

- restinio/common_types.hpp